// ファイル名： Ch05/BoxLocator/Box.hh 
#pragma once 
#include <string> 
#include <array> 
#include <vector> 
using namespace std; 
typedef array<double,3> Point3D; 
typedef vector<double>  BoxPars; 
 
class Box { 
 public: 
  Box(); 
  Box(string name, BoxPars sizeXYZ);  
 ~Box(); 
  string  getBoxName(); 
  BoxPars getBoxPars(); 
  bool isPointIn(Point3D testPoint ); 
 private: 
  string  boxName; 
  BoxPars boxPars; 
};
